Subject: RE: Debugging SysV IPC
From: "Robert Collins" <[email-masked]>
To: "'Nicholas Wourms'" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 9 Jun 2002 00:08:17 +1000

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Nicholas Wourms
> Sent: Saturday, 8 June 2002 3:01 AM
> To: Robert Collins
> Cc: [email-masked]
> Subject: Debugging SysV IPC
> 
> 
> > Nup. Not going to work (see my other email). However, in 
> -no- scenario
> > is kernel recompilation needed, once cygwin1.dll comes with 
> the exports
> > enabled. That's orthogonal to the current discussion on co-existence
> > though.
> >  
> > Rob
> 
> Ok, new question, is there a particular way you would like to 
> have me run
> gdb/strace so that I can capture the information which is 
> most relevant to
> YOU?  Should I do so on the entire test suite?  This is only way I can
> help, sorry, as my knowledge of SysV IPC is virtually 
> non-existant and my
> learning plate is quite full atm, though I intend to learn as I go.  I
> still want to help, so I offer to test it on my platform 
> (WindowsME) and
> report back with the debugging output which is best suited 
> for your needs.
>  Yes, I *know* these commands are documented, its just that I want my
> reports to be relevant and easy for you to disseminate the 
> cause of the
> problem.  Thanks for clarifying this for me...and for any 
> other potential
> testers out there.

If gdb/strace is needed, I'll ask for specific info at the time. At the
moment, IIRC you have an issue with the cygserver (apparently) not
running when you start it. You need to look in the source
(cygserver_transport_sockets) and find the domain socket file that
should be created, and 
* kill cygserver
* remove the file
* start cygserver

And see if that fixes it. If it doesn't, then gdb is your friend. Don't
worry about getting cygwin to connect to the cygserver, just find out
why it's not (apparently) listening. Oh, also in the cygserver source
files, change DEBUG to 1 and it'll spew debugging data to strace (for
API calls) and to the console (for cygserver).

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/